OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions | Variables
orte-restart.c File Reference

ORTE Restart Tool for restarting a previously checkpointed multiprocess job. More...

`#include "orte_config.h"`
`#include "orte/constants.h"`
`#include <stdio.h>`
`#include <errno.h>`
`#include "opal/runtime/opal.h"`
`#include "opal/runtime/opal_cr.h"`
`#include "opal/util/cmd_line.h"`
`#include "opal/util/output.h"`
`#include "opal/util/argv.h"`
`#include "opal/util/opal_environ.h"`
`#include "opal/util/basename.h"`
`#include "opal/util/error.h"`
`#include "opal/util/path.h"`
`#include "opal/mca/base/base.h"`
`#include "opal/mca/base/mca_base_param.h"`
`#include "opal/mca/crs/crs.h"`
`#include "opal/mca/crs/base/base.h"`
`#include "orte/runtime/runtime.h"`
`#include "orte/runtime/orte_cr.h"`
`#include "orte/mca/snapc/snapc.h"`
`#include "orte/mca/snapc/base/base.h"`
`#include "orte/mca/sstore/sstore.h"`
`#include "orte/mca/sstore/base/base.h"`
`#include "orte/mca/filem/base/base.h"`
`#include "opal/util/show_help.h"`
`#include "orte/util/proc_info.h"`

## Data Structures
struct | orte_restart_globals_t

## Functions
static int | initialize (int argc, char *argv[])
static int | finalize (void)
static int | parse_args (int argc, char *argv[])
static int | create_appfile (orte_sstore_base_global_snapshot_info_t *snapshot)
static int | spawn_children (orte_sstore_base_global_snapshot_info_t *snapshot, pid_t *child_pid)
static int | snapshot_info (orte_sstore_base_global_snapshot_info_t *snapshot)
static int | snapshot_sort_compare_fn (opal_list_item_t **a, opal_list_item_t **b)
int | main (int argc, char *argv[])

## Variables
orte_restart_globals_t | orte_restart_globals
opal_cmd_line_init_t | cmd_line_opts []

## Detailed Description

ORTE Restart Tool for restarting a previously checkpointed multiprocess job.

## Function Documentation

static int parse_args | ( | int | argc,
|  | char * | argv[]
| ) |  |
| static

Put all of the MCA arguments in the environment

Now start parsing our specific arguments

References mca_base_param_env_var(), opal_argv_count(), opal_argv_join(), opal_cmd_line_create(), opal_cmd_line_get_tail(), opal_cmd_line_get_usage_msg(), opal_cmd_line_parse(), opal_setenv(), and opal_show_help_string().